GET
/v1/networks
List networks
Active networks with live fees and minimums. No signature required.
Response 200
{
"networks": [
{
"code": "TRC20",
"name": "Tron (TRC-20)",
"buyer_network_fee": "0.35",
"withdrawal_fee": "1",
"min_invoice": "1",
"min_withdrawal": "5",
"required_confirmations": 19,
"deposit_mode": "address_pool"
},
{
"code": "TON",
"name": "TON",
"buyer_network_fee": "0",
"withdrawal_fee": "0.3",
"min_invoice": "0.5",
"min_withdrawal": "2",
"required_confirmations": 1,
"deposit_mode": "master_memo"
}
]
}
curl https://api.zyvopay.com/v1/networks
<?php
// composer require guzzlehttp/guzzle
$client = new \GuzzleHttp\Client(['base_uri' => 'https://api.zyvopay.com/v1/']);
$body = '';
$response = $client->request('GET', 'networks', [
'headers' => [
'X-Zyvo-Key' => getenv('ZYVO_KEY'),
'X-Zyvo-Signature' => hash_hmac('sha256', $body, getenv('ZYVO_SECRET')),
'Content-Type' => 'application/json',
],
]);
$data = json_decode((string) $response->getBody(), true);import crypto from 'node:crypto';
const body = '';
const signature = crypto.createHmac('sha256', process.env.ZYVO_SECRET).update(body).digest('hex');
const res = await fetch('https://api.zyvopay.com/v1/networks', {
method: 'GET',
headers: {
'X-Zyvo-Key': process.env.ZYVO_KEY,
'X-Zyvo-Signature': signature,
'Content-Type': 'application/json',
},
});
console.log(await res.json());import hmac, hashlib, json, os, requests
body = ''
signature = hmac.new(os.environ['ZYVO_SECRET'].encode(), body.encode(), hashlib.sha256).hexdigest()
r = requests.request('GET', 'https://api.zyvopay.com/v1/networks', data=body, headers={
'X-Zyvo-Key': os.environ['ZYVO_KEY'],
'X-Zyvo-Signature': signature,
'Content-Type': 'application/json',
})
print(r.json())package main
import (
"bytes"
"crypto/hmac"
"crypto/sha256"
"encoding/hex"
"fmt"
"io"
"net/http"
"os"
)
func main() {
body := []byte(``)
mac := hmac.New(sha256.New, []byte(os.Getenv("ZYVO_SECRET")))
mac.Write(body)
req, _ := http.NewRequest("GET", "https://api.zyvopay.com/v1/networks", bytes.NewReader(body))
req.Header.Set("X-Zyvo-Key", os.Getenv("ZYVO_KEY"))
req.Header.Set("X-Zyvo-Signature", hex.EncodeToString(mac.Sum(nil)))
req.Header.Set("Content-Type", "application/json")
res, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer res.Body.Close()
out, _ := io.ReadAll(res.Body)
fmt.Println(string(out))
}